$title	climate1.gms	Data and an emissions growth path

SET	t		Time periods /1*40/;

parameter
        m0              CO2-equiv concent. 1965 billion tons carbon     /677/,
        tl0             Lower stratum temperature (C) 1965              /.10/,
        t0              Atmospheric temperature (C) 1965                /.2/,
        atret           Marginal atmospheric retention rate             /.64/,
        c1              Coefficient for upper level                     /.226/,
        lam             Climate feedback factor                         /1.41/,
        c3              Coefficient trans upper to lower stratum        /.440/,
        c4              Coeff of transfer for lower level               /.02/,

        r               Rate of social time preference per year         /.03/,
        gl0             Growth rate of population per decade            /.223/,
        dlab            Decline rate of population growth per dec       /.195/,
        deltam          Removal rate carbon per decade                  /.0833/,
        ga0             Initial growth rate for technology per decade   /.15/,
        dela            Decline rate of technology per decade           /.11/,
        gsigma          Growth of sigma per decade                      /-.1168/,
        sig0            CO2-equiv-GWP ratio                             /.519/,
        sigma(t)        Emissions-output ratio,
        L0              1965 world population millions                  /3369/,
        k0              1965 value capital billions 1989 US dollars     /16.03/,
        gamma           Capital elasticity in output                    /.25/,

        a0              Initial level of total factor productivity      /.00963/,
        L(t)            Level of population and labor,
        al(t)           Level of total factor productivity (TFP),
        ga(t)           Growth rate of TFP from 0 to T,
        gl(t)           Growth rate of labor 0 to T,
        gsig(t)         Cumulative improvement of energy efficiency
	ebau(t)		Baseline emissions;

gsig(t) = (gsigma/dela)*(1-EXP(-dela*(ORD(t)-1)));
sigma(t)=sig0*EXP(gsig(t));
gl(t) = (gl0/dlab)*(1-EXP(-dlab*(ORD(t)-1)));
L(t)=L0*EXP(gl(t))*.9;
ga(t)= (ga0/dela)*(1-EXP(-dela*(ORD(t)-1)));
al(t) =a0*EXP(ga(t));

ebau(t) = 10 * sigma(t) * al(t) * (k0*L(t)/L0)**gamma * L(t)**(1-gamma);

set	t200(t)		/1*20/,
	tlbl(t)		/5 2050, 10 2100, 15 2150, 20 2200/;

