$title	climate3.gms	Optimal Abatement

*	Include both preceding files:

$include climate2

parameter		pv(t)		Present value cost;

pv(t) = 1/(1+r)**(ord(t)-1);

variables	obj		Objective function
		abate(t)	Abatement measures;

positive variable abate;

equations	objdef, avetemp, ratelimit;

objdef..		obj =e= sum(t, pv(t) * ABATE(t));
ratelimit(t+1)..	ABATE(t+1) =l= 1.2 * ABATE(t) + 0.10*Ebau(t);
avetemp(t)..		teref(t) + sum(tp, grad(t,tp)*(Ebau(tp)-ABATE(tp)-eref(tp))) =l= 2;

model optabate /objdef, avetemp, ratelimit/;

*	Solve iteration 1:

solve optabate using nlp minimizing obj;
E(t) = ebau(t) - ABATE.L(t);
$include jacobian
